using UnityEngine;

public class SlowMotionManager : MonoBehaviour
{
    private float originalTimeScale;

    private void Start()
    {
        originalTimeScale = Time.timeScale;
    }

    public void StartSlowMotion(float slowdownFactor)
    {
        Time.timeScale = slowdownFactor;
    }

    public void StopSlowMotion()
    {
        Time.timeScale = originalTimeScale;
    }
}
